Debian Bug report logs - #402945
RM: fst -- RoQA; license issues

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 13 Aug 2006 07:18:05 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: fst - FTBFS: Build depeneds agains unavailable package
Date: Sun, 13 Aug 2006 09:04:23 +0200
Package: fst
Version: 1.8-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of fst_1.8-1 on debian-31 by sbuild/s390 85
[...]
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.0.0), dpatch, vstsdk, libjack-dev, liblash-dev, libgtk2.0-dev, libasound2-dev, libwine-dev
[...]
> E: Couldn't find package vstsdk
> apt-get failed.
> Package installation failed
> Trying to reinstall removed packages:
> Trying to uninstall newly installed packages:
> Source-dependencies not satisfied; skipping fst
> ******************************************************************************
> Finished at 20060812-1311
> Build needed 00:00:00, 0k disk space

Bastian

-- 
Earth -- mother of the most beautiful women in the universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <free@miu-ft.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <free@miu-ft.org>
To: Bastian Blank <waldi@debian.org>
Cc: 382757@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#382757: fst - FTBFS: Build depeneds agains unavailable package
Date: Sun, 13 Aug 2006 13:12:15 +0200
|--==> Bastian Blank writes:

  BB> Package: fst
  BB> Version: 1.8-1
  BB> Severity: serious

  BB> There was an error while trying to autobuild your package:

  >>Automatic build of fst_1.8-1 on debian-31 by sbuild/s390 85
  BB> [...]
  >>** Using build dependencies supplied by package:
  >>Build-Depends: debhelper (>= 4.0.0), dpatch, vstsdk, libjack-dev, liblash-dev, libgtk2.0-dev, libasound2-dev, libwine-dev
  BB> [...]
  >>E: Couldn't find package vstsdk
  >>apt-get failed.
  >>Package installation failed
  >>Trying to reinstall removed packages:
  >>Trying to uninstall newly installed packages:
  >>Source-dependencies not satisfied; skipping fst
  >>******************************************************************************
  >>Finished at 20060812-1311
  >>Build needed 00:00:00, 0k disk space

Hi,

the package  in question ("vstsdk"), is a  proprietary one, and cannot
be  freely distribute. I thought  this was acceptable  for packages in
contrib.

Anyway as the fst binary package depends on wine, at the moment it can
be actually  used only on i386.  So perhaps I  should simply limit the
available architecture to i386 only. What do you think?

Ciao,

Free





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <free@miu-ft.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Javier Serrano Polo <jasp00@terra.es>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 382757@bugs.debian.org (full text, mbox):

From: Javier Serrano Polo <jasp00@terra.es>
To: 382757@bugs.debian.org
Subject: Re: fst - FTBFS: Build depeneds agains unavailable package
Date: Sat, 02 Sep 2006 19:34:20 +0200
Please, have a look at the bits about fst I commented in

http://lists.debian.org/debian-legal/2006/08/msg00231.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <free@agnula.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 382757@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <free@agnula.org>
To: Javier Serrano Polo <jasp00@terra.es>
Cc: debian-legal@lists.debian.org, 382757@bugs.debian.org
Subject: Re: Generating VST headers
Date: Thu, 07 Sep 2006 10:23:20 +0200
Hi Javier,

sorry for the delay, but I was on holiday and I'm still recovering the
old mails..

|--==> Javier Serrano Polo writes:

  JSP> Hi, again.
  JSP> You may have heard about VST and its non-free headers. I'm using a free
  JSP> program that optionally supports that technology and, of course, it'd be
  JSP> nice to have that support in main.

  JSP> I believe reverse engineering is legal, even a common practice (so I've
  JSP> read in some messages in this list). But I don't think Steinberg
  JSP> (copyright owner) would be very happy. They don't want to give away the API.

  JSP> I should clarify that I'm not trying to make the whole technology
  JSP> available, just the necessary bits to allow my program work. This
  JSP> couldn't be used to move fst to main (perhaps, it could).

  JSP> Oh, that reminds me. Free Ekanayaka, did you get explicit permission
  JSP> from Torben Hohn? You know that Steinberg headers aren't like a Java
  JSP> compiler, don't you? GPL still applies.

I've downloaded the  VST development kit from  the Steinberg site, and
accepted the use conditions.  Then I've built the  fst package (as you
would compile any other   VST plugin using the  Steinberg  development
kit)  and uploaded  it  to  non-free.   From my  understanding this is
perfectly legal,  as is legal  to distribute VST plugins compiled with
the VST SDK.

  JSP> Oh no, it's depending on LASH. I'm afraid you didn't get it. I read
  JSP> through their mail archives (fst archives), Paul Davis (co-author)
  JSP> argued LASH dependency was enough reason to not grant exceptions nor
  JSP> allow binary distributions.

Mmmh, I'm not sure to get this point, please would you elaborate?

  JSP> By the way, my program doesn't use LASH so that reason doesn't apply.
  JSP> Got no answer from them.

  JSP> I'm sorry I had to bring this up. If it helps, dssi-vst does have GPL
  JSP> exceptions to allow binary distribution.

We could probably upload that too then.

  JSP> Back to my subject, I already wrote a header to make the Linux parts
  JSP> work. Of course, it crashes when connecting to VST: constants need the
  JSP> correct values, class members the correct offsets...

  JSP> I guess I can't ask a developer who can use the official headers to
  JSP> substitute the constant names with numbers and fill classes with char
  JSP> arrays. It would be so easier to get the header.

  JSP> If I finish this file (in a far far future), could it be included in main?

I think so, but I'll let more knowledgeable people answer this.

  JSP> Knowing that fst shouldn't be there, it wouldn't be much ethical to use
  JSP> it to obtain additional information, would it?

Ciao,

Free




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to paul@linuxaudiosystems.com:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 382757@bugs.debian.org (full text, mbox):

From: Paul Davis <paul@linuxaudiosystems.com>
To: 382757@bugs.debian.org
Subject: Remove this package (and thats an order! :)
Date: Wed, 13 Dec 2006 09:37:13 -0500
Free - you *CANNOT* distribute this package. Torben and I have made this
very clear. Please remove it ASAP. It is a violation of our intent and
of the GPL to distribute it. 

If and when Steinberg changes the license for the VSTSDK, things will
change. Until then, it has to be removed. Please do it.

--p




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#382757; Package fst. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 382757@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: paul@linuxaudiosystems.com
Cc: 382757@bugs.debian.org, FTP masters <ftpmaster@debian.org>
Subject: Re: Remove this package (and thats an order! :)
Date: Wed, 13 Dec 2006 18:28:55 +0100
clone 382757 -1
reassign -1 ftp.debian.org
retitle -1 RM: fst - license violation
thanks

Paul Davis <paul@linuxaudiosystems.com> wrote:

> Free - you *CANNOT* distribute this package. Torben and I have made this
> very clear. Please remove it ASAP. It is a violation of our intent and
> of the GPL to distribute it. 
>
> If and when Steinberg changes the license for the VSTSDK, things will
> change. Until then, it has to be removed. Please do it.
>
> --p
>
>
>
>

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Bug 382757 cloned as bug 402945. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `fst' to `ftp.debian.org'. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 402945-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 402945-close@bugs.debian.org
Cc: fst@packages.debian.org, fst@packages.qa.debian.org
Subject: Bug#402945: fixed
Date: Sat, 23 Dec 2006 11:03:05 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

       fst |      1.9-1 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402945@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:38:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:30:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.